<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>Global - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="EnumType.html">EnumType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="EnumType.html#getInterpolatedValue">getInterpolatedValue</a></li></ul></li><li><a href="ListType.html">ListType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ListType.html#cost">cost</a></li></ul></li><li><a href="MidiType.html">MidiType</a><ul class='members'></ul></li><li><a href="ModalType.html">ModalType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ModalType.html#getPi">getPi</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getNu">getNu</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getTau">getTau</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getRho">getRho</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getOp">getOp</a></li></ul></li><li><a href="NumericType.html">NumericType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="NumericType.html#getNormalized">getNormalized</a></li></ul></li><li><a href="RecordType.html">RecordType</a><ul class='members'></ul></li><li><a href="SetType.html">SetType</a><ul class='members'></ul></li><li><a href="StringType.html">StringType</a><ul class='members'></ul></li><li><a href="SvgType.html">SvgType</a><ul class='members'></ul></li><li><a href="Type.html">Type</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Type.html#getValue">getValue</a></li><li data-type='method' style='display: none;'><a href="Type.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="Type.html#getValue">getValue</a></li><li data-type='method' style='display: none;'><a href="Type.html#getCheckMessage">getCheckMessage</a></li><li data-type='method' style='display: none;'><a href="Type.html#getDistance">getDistance</a></li><li data-type='method' style='display: none;'><a href="Type.html#getPath">getPath</a></li><li data-type='method' style='display: none;'><a href="Type.html#compare">compare</a></li><li data-type='method' style='display: none;'><a href="Type.html#getBound">getBound</a></li><li data-type='method' style='display: none;'><a href="Type.html#getBounds">getBounds</a></li><li data-type='method' style='display: none;'><a href="Type.html#.getType">getType</a></li><li data-type='method' style='display: none;'><a href="Type.html#.getTypeNames">getTypeNames</a></li><li data-type='method' style='display: none;'><a href="Type.html#.getTypeParameters">getTypeParameters</a></li><li data-type='method' style='display: none;'><a href="Type.html#.addType">addType</a></li></ul></li></ul><h3>Global</h3><ul><li><a href="global.html#json2midi">json2midi</a></li><li><a href="global.html#json2svg">json2svg</a></li><li><a href="global.html#midi2Jon">midi2Jon</a></li><li><a href="global.html#svg2json">svg2json</a></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">Global</h1>
    

    




<section>

<header>
    
        <h2>
        
            
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

<dl class="details">
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




            

            
        
        </div>
    

    

    

    
    
    

     

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id="json2midi"><span class="type-signature type-signature-static">(static) </span>json2midi<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Converts a file from JSON to MIDI format</p>
<pre class="prettyprint source"><code>    Usage: ./src/json2midi.js &lt; input output_file
</code></pre>
<ul>
<li>Installation requires: <code>npm install [@tonejs/midi](https://www.npmjs.com/package/@tonejs/midi)</code>.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
            

    

    <h4 class="name" id="json2svg"><span class="type-signature type-signature-static">(static) </span>json2svg<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Converts a file from JSON to SVG format</p>
<pre class="prettyprint source"><code>    Usage: ./src/json2svgsvg2json.js &lt; input > output
</code></pre>
<ul>
<li>Installation requires: <code>npm install [svg-json-parser](https://www.npmjs.com/package/svg-json-parser)</code>.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
            

    

    <h4 class="name" id="midi2Jon"><span class="type-signature type-signature-static">(static) </span>midi2Jon<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Converts a file from MIDI to JSON format</p>
<pre class="prettyprint source"><code>    Usage: ./src/midi2json.js input_file > output
</code></pre>
<ul>
<li>Installation requires: <code>npm install [@tonejs/midi](https://www.npmjs.com/package/@tonejs/midi)</code>.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
            

    

    <h4 class="name" id="svg2json"><span class="type-signature type-signature-static">(static) </span>svg2json<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Converts a file from SVG to JSON format</p>
<pre class="prettyprint source"><code>    Usage: ./src/svg2json.js &lt; input > output
</code></pre>
<ul>
<li>Installation requires: <code>npm install [svg-json-parser](https://www.npmjs.com/package/svg-json-parser)</code>.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>